// !$*UTF8*$!
{
	archiveVersion = 1;
	classes = {
	};
	objectVersion = 50;
	objects = {

/* Begin PBXBuildFile section */
		0950F13D25DC747A008F11D0 /* Renderer11Mesh-Attributes.swift in Sources */ = {isa = PBXBuildFile; fileRef = 0950F13C25DC747A008F11D0 /* Renderer11Mesh-Attributes.swift */; };
		0950F18D25DC7BC9008F11D0 /* Renderer12Mesh-Texture.swift in Sources */ = {isa = PBXBuildFile; fileRef = 0950F18C25DC7BC9008F11D0 /* Renderer12Mesh-Texture.swift */; };
		0950F19725DCD504008F11D0 /* Renderer13Compute.swift in Sources */ = {isa = PBXBuildFile; fileRef = 0950F19625DCD504008F11D0 /* Renderer13Compute.swift */; };
		097DC0FC25DE05C5004A4B7B /* Renderer14OffScreen_MPS.swift in Sources */ = {isa = PBXBuildFile; fileRef = 097DC0FB25DE05C5004A4B7B /* Renderer14OffScreen_MPS.swift */; };
		09A4333A25D7C9F2008FE7A6 /* render_quad.metal in Sources */ = {isa = PBXBuildFile; fileRef = 09A4333925D7C9F2008FE7A6 /* render_quad.metal */; };
		09A4333D25D7CA01008FE7A6 /* render_compute.metal in Sources */ = {isa = PBXBuildFile; fileRef = 09A4333C25D7CA01008FE7A6 /* render_compute.metal */; };
		09A4334625D7E1E3008FE7A6 /* Renderer01SimpleQuad.swift in Sources */ = {isa = PBXBuildFile; fileRef = 09A4334525D7E1E3008FE7A6 /* Renderer01SimpleQuad.swift */; };
		09A4334C25D7E655008FE7A6 /* Renderer00Simple.swift in Sources */ = {isa = PBXBuildFile; fileRef = 09A4334B25D7E655008FE7A6 /* Renderer00Simple.swift */; };
		09A4334F25D7E6B4008FE7A6 /* MetalUtils.swift in Sources */ = {isa = PBXBuildFile; fileRef = 09A4334E25D7E6B4008FE7A6 /* MetalUtils.swift */; };
		09A4335925D9D5AF008FE7A6 /* Renderer02SimpleQuad-Viewport.swift in Sources */ = {isa = PBXBuildFile; fileRef = 09A4335825D9D5AF008FE7A6 /* Renderer02SimpleQuad-Viewport.swift */; };
		09A4335C25D9D5BE008FE7A6 /* Renderer03SimpleQuad-Scissor.swift in Sources */ = {isa = PBXBuildFile; fileRef = 09A4335B25D9D5BE008FE7A6 /* Renderer03SimpleQuad-Scissor.swift */; };
		09A4336025D9DE09008FE7A6 /* Renderer04SimpleQuad-Triangles.swift in Sources */ = {isa = PBXBuildFile; fileRef = 09A4335F25D9DE09008FE7A6 /* Renderer04SimpleQuad-Triangles.swift */; };
		09A4336325D9DE95008FE7A6 /* Renderer05SimpleQuad-Line.swift in Sources */ = {isa = PBXBuildFile; fileRef = 09A4336225D9DE95008FE7A6 /* Renderer05SimpleQuad-Line.swift */; };
		09A4336625D9DEA1008FE7A6 /* Renderer06SimpleQuad-LineStrip.swift in Sources */ = {isa = PBXBuildFile; fileRef = 09A4336525D9DEA1008FE7A6 /* Renderer06SimpleQuad-LineStrip.swift */; };
		09A4336925D9DEAC008FE7A6 /* Renderer07SimpleQuad-Point.swift in Sources */ = {isa = PBXBuildFile; fileRef = 09A4336825D9DEAC008FE7A6 /* Renderer07SimpleQuad-Point.swift */; };
		09A4337325D9E618008FE7A6 /* render_point.metal in Sources */ = {isa = PBXBuildFile; fileRef = 09A4337225D9E618008FE7A6 /* render_point.metal */; };
		09C1577525D6273D0061AE3E /* MetalIntroductionDemoApp.swift in Sources */ = {isa = PBXBuildFile; fileRef = 09C1577425D6273D0061AE3E /* MetalIntroductionDemoApp.swift */; };
		09C1577725D6273D0061AE3E /* ContentView.swift in Sources */ = {isa = PBXBuildFile; fileRef = 09C1577625D6273D0061AE3E /* ContentView.swift */; };
		09C1577925D6273E0061AE3E /* Assets.xcassets in Resources */ = {isa = PBXBuildFile; fileRef = 09C1577825D6273E0061AE3E /* Assets.xcassets */; };
		09C1578C25D628910061AE3E /* Metal.framework in Frameworks */ = {isa = PBXBuildFile; fileRef = 09C1578B25D628910061AE3E /* Metal.framework */; };
		09C1578E25D628970061AE3E /* MetalKit.framework in Frameworks */ = {isa = PBXBuildFile; fileRef = 09C1578D25D628970061AE3E /* MetalKit.framework */; };
		09C1579025D628A30061AE3E /* RenderView.swift in Sources */ = {isa = PBXBuildFile; fileRef = 09C1578F25D628A30061AE3E /* RenderView.swift */; };
		09EFBF7825DB219E005780CA /* Renderer08SimpleQuad-Instances.swift in Sources */ = {isa = PBXBuildFile; fileRef = 09EFBF7725DB219E005780CA /* Renderer08SimpleQuad-Instances.swift */; };
		09EFBF7B25DB21D6005780CA /* render_instances.metal in Sources */ = {isa = PBXBuildFile; fileRef = 09EFBF7A25DB21D6005780CA /* render_instances.metal */; };
		09EFBF9525DB2D6C005780CA /* Renderer09SimpleQuad-DrawCalls.swift in Sources */ = {isa = PBXBuildFile; fileRef = 09EFBF9425DB2D6C005780CA /* Renderer09SimpleQuad-DrawCalls.swift */; };
		09EFBF9B25DB3894005780CA /* data in Resources */ = {isa = PBXBuildFile; fileRef = 09EFBF9A25DB3893005780CA /* data */; };
		09EFC00A25DB7F79005780CA /* Renderer10Mesh.swift in Sources */ = {isa = PBXBuildFile; fileRef = 09EFC00925DB7F79005780CA /* Renderer10Mesh.swift */; };
		09EFC00F25DB8199005780CA /* render_mesh_buffer.metal in Sources */ = {isa = PBXBuildFile; fileRef = 09EFC00E25DB8199005780CA /* render_mesh_buffer.metal */; };
/* End PBXBuildFile section */

/* Begin PBXFileReference section */
		0950F13C25DC747A008F11D0 /* Renderer11Mesh-Attributes.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = "Renderer11Mesh-Attributes.swift"; sourceTree = "<group>"; };
		0950F18C25DC7BC9008F11D0 /* Renderer12Mesh-Texture.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = "Renderer12Mesh-Texture.swift"; sourceTree = "<group>"; };
		0950F19625DCD504008F11D0 /* Renderer13Compute.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = Renderer13Compute.swift; sourceTree = "<group>"; };
		097DC0FB25DE05C5004A4B7B /* Renderer14OffScreen_MPS.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = Renderer14OffScreen_MPS.swift; sourceTree = "<group>"; };
		09A4333925D7C9F2008FE7A6 /* render_quad.metal */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.metal; path = render_quad.metal; sourceTree = "<group>"; };
		09A4333C25D7CA01008FE7A6 /* render_compute.metal */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.metal; path = render_compute.metal; sourceTree = "<group>"; };
		09A4334525D7E1E3008FE7A6 /* Renderer01SimpleQuad.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = Renderer01SimpleQuad.swift; sourceTree = "<group>"; };
		09A4334B25D7E655008FE7A6 /* Renderer00Simple.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = Renderer00Simple.swift; sourceTree = "<group>"; };
		09A4334E25D7E6B4008FE7A6 /* MetalUtils.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = MetalUtils.swift; sourceTree = "<group>"; };
		09A4335825D9D5AF008FE7A6 /* Renderer02SimpleQuad-Viewport.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = "Renderer02SimpleQuad-Viewport.swift"; sourceTree = "<group>"; };
		09A4335B25D9D5BE008FE7A6 /* Renderer03SimpleQuad-Scissor.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = "Renderer03SimpleQuad-Scissor.swift"; sourceTree = "<group>"; };
		09A4335F25D9DE09008FE7A6 /* Renderer04SimpleQuad-Triangles.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = "Renderer04SimpleQuad-Triangles.swift"; sourceTree = "<group>"; };
		09A4336225D9DE95008FE7A6 /* Renderer05SimpleQuad-Line.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = "Renderer05SimpleQuad-Line.swift"; sourceTree = "<group>"; };
		09A4336525D9DEA1008FE7A6 /* Renderer06SimpleQuad-LineStrip.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = "Renderer06SimpleQuad-LineStrip.swift"; sourceTree = "<group>"; };
		09A4336825D9DEAC008FE7A6 /* Renderer07SimpleQuad-Point.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = "Renderer07SimpleQuad-Point.swift"; sourceTree = "<group>"; };
		09A4337225D9E618008FE7A6 /* render_point.metal */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.metal; path = render_point.metal; sourceTree = "<group>"; };
		09C1577125D6273D0061AE3E /* MetalIntroductionDemo.app */ = {isa = PBXFileReference; explicitFileType = wrapper.application; includeInIndex = 0; path = MetalIntroductionDemo.app; sourceTree = BUILT_PRODUCTS_DIR; };
		09C1577425D6273D0061AE3E /* MetalIntroductionDemoApp.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = MetalIntroductionDemoApp.swift; sourceTree = "<group>"; };
		09C1577625D6273D0061AE3E /* ContentView.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = ContentView.swift; sourceTree = "<group>"; };
		09C1577825D6273E0061AE3E /* Assets.xcassets */ = {isa = PBXFileReference; lastKnownFileType = folder.assetcatalog; path = Assets.xcassets; sourceTree = "<group>"; };
		09C1577D25D6273E0061AE3E /* Info.plist */ = {isa = PBXFileReference; lastKnownFileType = text.plist.xml; path = Info.plist; sourceTree = "<group>"; };
		09C1578B25D628910061AE3E /* Metal.framework */ = {isa = PBXFileReference; lastKnownFileType = wrapper.framework; name = Metal.framework; path = System/Library/Frameworks/Metal.framework; sourceTree = SDKROOT; };
		09C1578D25D628970061AE3E /* MetalKit.framework */ = {isa = PBXFileReference; lastKnownFileType = wrapper.framework; name = MetalKit.framework; path = System/Library/Frameworks/MetalKit.framework; sourceTree = SDKROOT; };
		09C1578F25D628A30061AE3E /* RenderView.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = RenderView.swift; sourceTree = "<group>"; };
		09EFBF7725DB219E005780CA /* Renderer08SimpleQuad-Instances.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = "Renderer08SimpleQuad-Instances.swift"; sourceTree = "<group>"; };
		09EFBF7A25DB21D6005780CA /* render_instances.metal */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.metal; path = render_instances.metal; sourceTree = "<group>"; };
		09EFBF9425DB2D6C005780CA /* Renderer09SimpleQuad-DrawCalls.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = "Renderer09SimpleQuad-DrawCalls.swift"; sourceTree = "<group>"; };
		09EFBF9A25DB3893005780CA /* data */ = {isa = PBXFileReference; lastKnownFileType = folder; name = data; path = ../../data; sourceTree = "<group>"; };
		09EFC00925DB7F79005780CA /* Renderer10Mesh.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = Renderer10Mesh.swift; sourceTree = "<group>"; };
		09EFC00E25DB8199005780CA /* render_mesh_buffer.metal */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.metal; path = render_mesh_buffer.metal; sourceTree = "<group>"; };
/* End PBXFileReference section */

/* Begin PBXFrameworksBuildPhase section */
		09C1576E25D6273D0061AE3E /* Frameworks */ = {
			isa = PBXFrameworksBuildPhase;
			buildActionMask = 2147483647;
			files = (
				09C1578C25D628910061AE3E /* Metal.framework in Frameworks */,
				09C1578E25D628970061AE3E /* MetalKit.framework in Frameworks */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
/* End PBXFrameworksBuildPhase section */

/* Begin PBXGroup section */
		09C1576825D6273D0061AE3E = {
			isa = PBXGroup;
			children = (
				09C1578A25D628910061AE3E /* Frameworks */,
				09C1577325D6273D0061AE3E /* MetalIntroductionDemo */,
				09C1577225D6273D0061AE3E /* Products */,
			);
			sourceTree = "<group>";
		};
		09C1577225D6273D0061AE3E /* Products */ = {
			isa = PBXGroup;
			children = (
				09C1577125D6273D0061AE3E /* MetalIntroductionDemo.app */,
			);
			name = Products;
			sourceTree = "<group>";
		};
		09C1577325D6273D0061AE3E /* MetalIntroductionDemo */ = {
			isa = PBXGroup;
			children = (
				09EFBF9A25DB3893005780CA /* data */,
				09A4333C25D7CA01008FE7A6 /* render_compute.metal */,
				09EFBF7A25DB21D6005780CA /* render_instances.metal */,
				09EFC00E25DB8199005780CA /* render_mesh_buffer.metal */,
				09A4337225D9E618008FE7A6 /* render_point.metal */,
				09A4333925D7C9F2008FE7A6 /* render_quad.metal */,
				09C1577D25D6273E0061AE3E /* Info.plist */,
				09C1577625D6273D0061AE3E /* ContentView.swift */,
				09C1577425D6273D0061AE3E /* MetalIntroductionDemoApp.swift */,
				09A4334E25D7E6B4008FE7A6 /* MetalUtils.swift */,
				09A4334B25D7E655008FE7A6 /* Renderer00Simple.swift */,
				09A4334525D7E1E3008FE7A6 /* Renderer01SimpleQuad.swift */,
				09A4335825D9D5AF008FE7A6 /* Renderer02SimpleQuad-Viewport.swift */,
				09A4335B25D9D5BE008FE7A6 /* Renderer03SimpleQuad-Scissor.swift */,
				09A4335F25D9DE09008FE7A6 /* Renderer04SimpleQuad-Triangles.swift */,
				09A4336225D9DE95008FE7A6 /* Renderer05SimpleQuad-Line.swift */,
				09A4336525D9DEA1008FE7A6 /* Renderer06SimpleQuad-LineStrip.swift */,
				09A4336825D9DEAC008FE7A6 /* Renderer07SimpleQuad-Point.swift */,
				09EFBF7725DB219E005780CA /* Renderer08SimpleQuad-Instances.swift */,
				09EFBF9425DB2D6C005780CA /* Renderer09SimpleQuad-DrawCalls.swift */,
				09EFC00925DB7F79005780CA /* Renderer10Mesh.swift */,
				0950F13C25DC747A008F11D0 /* Renderer11Mesh-Attributes.swift */,
				0950F18C25DC7BC9008F11D0 /* Renderer12Mesh-Texture.swift */,
				0950F19625DCD504008F11D0 /* Renderer13Compute.swift */,
				097DC0FB25DE05C5004A4B7B /* Renderer14OffScreen_MPS.swift */,
				09C1578F25D628A30061AE3E /* RenderView.swift */,
				09C1577825D6273E0061AE3E /* Assets.xcassets */,
			);
			path = MetalIntroductionDemo;
			sourceTree = "<group>";
		};
		09C1578A25D628910061AE3E /* Frameworks */ = {
			isa = PBXGroup;
			children = (
				09C1578D25D628970061AE3E /* MetalKit.framework */,
				09C1578B25D628910061AE3E /* Metal.framework */,
			);
			name = Frameworks;
			sourceTree = "<group>";
		};
/* End PBXGroup section */

/* Begin PBXNativeTarget section */
		09C1577025D6273D0061AE3E /* MetalIntroductionDemo */ = {
			isa = PBXNativeTarget;
			buildConfigurationList = 09C1578025D6273E0061AE3E /* Build configuration list for PBXNativeTarget "MetalIntroductionDemo" */;
			buildPhases = (
				09C1576D25D6273D0061AE3E /* Sources */,
				09C1576E25D6273D0061AE3E /* Frameworks */,
				09C1576F25D6273D0061AE3E /* Resources */,
			);
			buildRules = (
			);
			dependencies = (
			);
			name = MetalIntroductionDemo;
			productName = MetalIntroductionDemo;
			productReference = 09C1577125D6273D0061AE3E /* MetalIntroductionDemo.app */;
			productType = "com.apple.product-type.application";
		};
/* End PBXNativeTarget section */

/* Begin PBXProject section */
		09C1576925D6273D0061AE3E /* Project object */ = {
			isa = PBXProject;
			attributes = {
				LastSwiftUpdateCheck = 1240;
				LastUpgradeCheck = 1240;
				TargetAttributes = {
					09C1577025D6273D0061AE3E = {
						CreatedOnToolsVersion = 12.4;
					};
				};
			};
			buildConfigurationList = 09C1576C25D6273D0061AE3E /* Build configuration list for PBXProject "MetalIntroductionDemo" */;
			compatibilityVersion = "Xcode 9.3";
			developmentRegion = en;
			hasScannedForEncodings = 0;
			knownRegions = (
				en,
				Base,
			);
			mainGroup = 09C1576825D6273D0061AE3E;
			productRefGroup = 09C1577225D6273D0061AE3E /* Products */;
			projectDirPath = "";
			projectRoot = "";
			targets = (
				09C1577025D6273D0061AE3E /* MetalIntroductionDemo */,
			);
		};
/* End PBXProject section */

/* Begin PBXResourcesBuildPhase section */
		09C1576F25D6273D0061AE3E /* Resources */ = {
			isa = PBXResourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
				09EFBF9B25DB3894005780CA /* data in Resources */,
				09C1577925D6273E0061AE3E /* Assets.xcassets in Resources */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
/* End PBXResourcesBuildPhase section */

/* Begin PBXSourcesBuildPhase section */
		09C1576D25D6273D0061AE3E /* Sources */ = {
			isa = PBXSourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
				0950F19725DCD504008F11D0 /* Renderer13Compute.swift in Sources */,
				09EFBF7B25DB21D6005780CA /* render_instances.metal in Sources */,
				09C1577725D6273D0061AE3E /* ContentView.swift in Sources */,
				09A4337325D9E618008FE7A6 /* render_point.metal in Sources */,
				09A4335925D9D5AF008FE7A6 /* Renderer02SimpleQuad-Viewport.swift in Sources */,
				09A4336025D9DE09008FE7A6 /* Renderer04SimpleQuad-Triangles.swift in Sources */,
				09A4333A25D7C9F2008FE7A6 /* render_quad.metal in Sources */,
				09C1577525D6273D0061AE3E /* MetalIntroductionDemoApp.swift in Sources */,
				09EFBF9525DB2D6C005780CA /* Renderer09SimpleQuad-DrawCalls.swift in Sources */,
				09EFBF7825DB219E005780CA /* Renderer08SimpleQuad-Instances.swift in Sources */,
				09A4335C25D9D5BE008FE7A6 /* Renderer03SimpleQuad-Scissor.swift in Sources */,
				0950F18D25DC7BC9008F11D0 /* Renderer12Mesh-Texture.swift in Sources */,
				09EFC00F25DB8199005780CA /* render_mesh_buffer.metal in Sources */,
				09EFC00A25DB7F79005780CA /* Renderer10Mesh.swift in Sources */,
				09A4336925D9DEAC008FE7A6 /* Renderer07SimpleQuad-Point.swift in Sources */,
				09A4334625D7E1E3008FE7A6 /* Renderer01SimpleQuad.swift in Sources */,
				09A4334C25D7E655008FE7A6 /* Renderer00Simple.swift in Sources */,
				09A4333D25D7CA01008FE7A6 /* render_compute.metal in Sources */,
				09A4336325D9DE95008FE7A6 /* Renderer05SimpleQuad-Line.swift in Sources */,
				09A4336625D9DEA1008FE7A6 /* Renderer06SimpleQuad-LineStrip.swift in Sources */,
				09C1579025D628A30061AE3E /* RenderView.swift in Sources */,
				0950F13D25DC747A008F11D0 /* Renderer11Mesh-Attributes.swift in Sources */,
				097DC0FC25DE05C5004A4B7B /* Renderer14OffScreen_MPS.swift in Sources */,
				09A4334F25D7E6B4008FE7A6 /* MetalUtils.swift in Sources */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
/* End PBXSourcesBuildPhase section */

/* Begin XCBuildConfiguration section */
		09C1577E25D6273E0061AE3E /* Debug */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ALWAYS_SEARCH_USER_PATHS = NO;
				CLANG_ANALYZER_NONNULL = YES;
				CLANG_ANALYZER_NUMBER_OBJECT_CONVERSION = YES_AGGRESSIVE;
				CLANG_CXX_LANGUAGE_STANDARD = "gnu++14";
				CLANG_CXX_LIBRARY = "libc++";
				CLANG_ENABLE_MODULES = YES;
				CLANG_ENABLE_OBJC_ARC = YES;
				CLANG_ENABLE_OBJC_WEAK = YES;
				CLANG_WARN_BLOCK_CAPTURE_AUTORELEASING = YES;
				CLANG_WARN_BOOL_CONVERSION = YES;
				CLANG_WARN_COMMA = YES;
				CLANG_WARN_CONSTANT_CONVERSION = YES;
				CLANG_WARN_DEPRECATED_OBJC_IMPLEMENTATIONS = YES;
				CLANG_WARN_DIRECT_OBJC_ISA_USAGE = YES_ERROR;
				CLANG_WARN_DOCUMENTATION_COMMENTS = YES;
				CLANG_WARN_EMPTY_BODY = YES;
				CLANG_WARN_ENUM_CONVERSION = YES;
				CLANG_WARN_INFINITE_RECURSION = YES;
				CLANG_WARN_INT_CONVERSION = YES;
				CLANG_WARN_NON_LITERAL_NULL_CONVERSION = YES;
				CLANG_WARN_OBJC_IMPLICIT_RETAIN_SELF = YES;
				CLANG_WARN_OBJC_LITERAL_CONVERSION = YES;
				CLANG_WARN_OBJC_ROOT_CLASS = YES_ERROR;
				CLANG_WARN_QUOTED_INCLUDE_IN_FRAMEWORK_HEADER = YES;
				CLANG_WARN_RANGE_LOOP_ANALYSIS = YES;
				CLANG_WARN_STRICT_PROTOTYPES = YES;
				CLANG_WARN_SUSPICIOUS_MOVE = YES;
				CLANG_WARN_UNGUARDED_AVAILABILITY = YES_AGGRESSIVE;
				CLANG_WARN_UNREACHABLE_CODE = YES;
				CLANG_WARN__DUPLICATE_METHOD_MATCH = YES;
				COPY_PHASE_STRIP = NO;
				DEBUG_INFORMATION_FORMAT = dwarf;
				ENABLE_STRICT_OBJC_MSGSEND = YES;
				ENABLE_TESTABILITY = YES;
				GCC_C_LANGUAGE_STANDARD = gnu11;
				GCC_DYNAMIC_NO_PIC = NO;
				GCC_NO_COMMON_BLOCKS = YES;
				GCC_OPTIMIZATION_LEVEL = 0;
				GCC_PREPROCESSOR_DEFINITIONS = (
					"DEBUG=1",
					"$(inherited)",
				);
				GCC_WARN_64_TO_32_BIT_CONVERSION = YES;
				GCC_WARN_ABOUT_RETURN_TYPE = YES_ERROR;
				GCC_WARN_UNDECLARED_SELECTOR = YES;
				GCC_WARN_UNINITIALIZED_AUTOS = YES_AGGRESSIVE;
				GCC_WARN_UNUSED_FUNCTION = YES;
				GCC_WARN_UNUSED_VARIABLE = YES;
				IPHONEOS_DEPLOYMENT_TARGET = 14.4;
				MTL_ENABLE_DEBUG_INFO = INCLUDE_SOURCE;
				MTL_FAST_MATH = YES;
				ONLY_ACTIVE_ARCH = YES;
				SDKROOT = iphoneos;
				SWIFT_ACTIVE_COMPILATION_CONDITIONS = DEBUG;
				SWIFT_OPTIMIZATION_LEVEL = "-Onone";
			};
			name = Debug;
		};
		09C1577F25D6273E0061AE3E /* Release */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ALWAYS_SEARCH_USER_PATHS = NO;
				CLANG_ANALYZER_NONNULL = YES;
				CLANG_ANALYZER_NUMBER_OBJECT_CONVERSION = YES_AGGRESSIVE;
				CLANG_CXX_LANGUAGE_STANDARD = "gnu++14";
				CLANG_CXX_LIBRARY = "libc++";
				CLANG_ENABLE_MODULES = YES;
				CLANG_ENABLE_OBJC_ARC = YES;
				CLANG_ENABLE_OBJC_WEAK = YES;
				CLANG_WARN_BLOCK_CAPTURE_AUTORELEASING = YES;
				CLANG_WARN_BOOL_CONVERSION = YES;
				CLANG_WARN_COMMA = YES;
				CLANG_WARN_CONSTANT_CONVERSION = YES;
				CLANG_WARN_DEPRECATED_OBJC_IMPLEMENTATIONS = YES;
				CLANG_WARN_DIRECT_OBJC_ISA_USAGE = YES_ERROR;
				CLANG_WARN_DOCUMENTATION_COMMENTS = YES;
				CLANG_WARN_EMPTY_BODY = YES;
				CLANG_WARN_ENUM_CONVERSION = YES;
				CLANG_WARN_INFINITE_RECURSION = YES;
				CLANG_WARN_INT_CONVERSION = YES;
				CLANG_WARN_NON_LITERAL_NULL_CONVERSION = YES;
				CLANG_WARN_OBJC_IMPLICIT_RETAIN_SELF = YES;
				CLANG_WARN_OBJC_LITERAL_CONVERSION = YES;
				CLANG_WARN_OBJC_ROOT_CLASS = YES_ERROR;
				CLANG_WARN_QUOTED_INCLUDE_IN_FRAMEWORK_HEADER = YES;
				CLANG_WARN_RANGE_LOOP_ANALYSIS = YES;
				CLANG_WARN_STRICT_PROTOTYPES = YES;
				CLANG_WARN_SUSPICIOUS_MOVE = YES;
				CLANG_WARN_UNGUARDED_AVAILABILITY = YES_AGGRESSIVE;
				CLANG_WARN_UNREACHABLE_CODE = YES;
				CLANG_WARN__DUPLICATE_METHOD_MATCH = YES;
				COPY_PHASE_STRIP = NO;
				DEBUG_INFORMATION_FORMAT = "dwarf-with-dsym";
				ENABLE_NS_ASSERTIONS = NO;
				ENABLE_STRICT_OBJC_MSGSEND = YES;
				GCC_C_LANGUAGE_STANDARD = gnu11;
				GCC_NO_COMMON_BLOCKS = YES;
				GCC_WARN_64_TO_32_BIT_CONVERSION = YES;
				GCC_WARN_ABOUT_RETURN_TYPE = YES_ERROR;
				GCC_WARN_UNDECLARED_SELECTOR = YES;
				GCC_WARN_UNINITIALIZED_AUTOS = YES_AGGRESSIVE;
				GCC_WARN_UNUSED_FUNCTION = YES;
				GCC_WARN_UNUSED_VARIABLE = YES;
				IPHONEOS_DEPLOYMENT_TARGET = 14.4;
				MTL_ENABLE_DEBUG_INFO = NO;
				MTL_FAST_MATH = YES;
				SDKROOT = iphoneos;
				SWIFT_COMPILATION_MODE = wholemodule;
				SWIFT_OPTIMIZATION_LEVEL = "-O";
				VALIDATE_PRODUCT = YES;
			};
			name = Release;
		};
		09C1578125D6273E0061AE3E /* Debug */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ASSETCATALOG_COMPILER_APPICON_NAME = AppIcon;
				ASSETCATALOG_COMPILER_GLOBAL_ACCENT_COLOR_NAME = AccentColor;
				CODE_SIGN_STYLE = Automatic;
				DEVELOPMENT_TEAM = 7SM465AAXZ;
				ENABLE_PREVIEWS = YES;
				INFOPLIST_FILE = MetalIntroductionDemo/Info.plist;
				IPHONEOS_DEPLOYMENT_TARGET = 14.0;
				LD_RUNPATH_SEARCH_PATHS = (
					"$(inherited)",
					"@executable_path/Frameworks",
				);
				PRODUCT_BUNDLE_IDENTIFIER = wdf.demoapp.MetalIntroductionDemo;
				PRODUCT_NAME = "$(TARGET_NAME)";
				SWIFT_VERSION = 5.0;
				TARGETED_DEVICE_FAMILY = "1,2";
			};
			name = Debug;
		};
		09C1578225D6273E0061AE3E /* Release */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ASSETCATALOG_COMPILER_APPICON_NAME = AppIcon;
				ASSETCATALOG_COMPILER_GLOBAL_ACCENT_COLOR_NAME = AccentColor;
				CODE_SIGN_STYLE = Automatic;
				DEVELOPMENT_TEAM = 7SM465AAXZ;
				ENABLE_PREVIEWS = YES;
				INFOPLIST_FILE = MetalIntroductionDemo/Info.plist;
				IPHONEOS_DEPLOYMENT_TARGET = 14.0;
				LD_RUNPATH_SEARCH_PATHS = (
					"$(inherited)",
					"@executable_path/Frameworks",
				);
				PRODUCT_BUNDLE_IDENTIFIER = wdf.demoapp.MetalIntroductionDemo;
				PRODUCT_NAME = "$(TARGET_NAME)";
				SWIFT_VERSION = 5.0;
				TARGETED_DEVICE_FAMILY = "1,2";
			};
			name = Release;
		};
/* End XCBuildConfiguration section */

/* Begin XCConfigurationList section */
		09C1576C25D6273D0061AE3E /* Build configuration list for PBXProject "MetalIntroductionDemo" */ = {
			isa = XCConfigurationList;
			buildConfigurations = (
				09C1577E25D6273E0061AE3E /* Debug */,
				09C1577F25D6273E0061AE3E /* Release */,
			);
			defaultConfigurationIsVisible = 0;
			defaultConfigurationName = Release;
		};
		09C1578025D6273E0061AE3E /* Build configuration list for PBXNativeTarget "MetalIntroductionDemo" */ = {
			isa = XCConfigurationList;
			buildConfigurations = (
				09C1578125D6273E0061AE3E /* Debug */,
				09C1578225D6273E0061AE3E /* Release */,
			);
			defaultConfigurationIsVisible = 0;
			defaultConfigurationName = Release;
		};
/* End XCConfigurationList section */
	};
	rootObject = 09C1576925D6273D0061AE3E /* Project object */;
}
